Bug 1199458 (CVE-2021-34085)

Summary: VUL-1: CVE-2021-34085: mp3gain: Read access violation in the III_dequantize_sample function in mpglibDBL/layer3.c
Product: [openSUSE] openSUSE Distribution Reporter: Thomas Leroy <thomas.leroy>
Component: SecurityAssignee: Luigi Baldoni <aloisio>
Status: RESOLVED INVALID QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P5 - None    
Version: Leap 15.4   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/331552/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Thomas Leroy 2022-05-12 06:11:13 UTC
CVE-2021-34085

Read access violation in the III_dequantize_sample function in
mpglibDBL/layer3.c in mp3gain through 1.5.2-r2 allows remote attackers to cause
a denial of service (application crash) or possibly have unspecified other
impact, a different vulnerability than CVE-2017-9872. CVE-2017-14409, and
CVE-2018-10778.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-34085
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34085
https://drive.google.com/drive/folders/1epm65c4_iC0zE5V_leoet4Jyk1Prz2p5?usp=sharing
http://mp3gain.com
Comment 1 Thomas Leroy 2022-05-12 06:14:33 UTC
Seems like we ship 1.6.2, which is a fixed version. Closing.